[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2013-06-17 Thread Andrea Scarpino
Date: Monday, June 17, 2013 @ 20:03:12
  Author: andrea
Revision: 188672

Upstream release; rename as pyqt4

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |   38 +++---
 1 file changed, 23 insertions(+), 15 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2013-06-17 16:27:52 UTC (rev 188671)
+++ PKGBUILD2013-06-17 18:03:12 UTC (rev 188672)
@@ -3,17 +3,17 @@
 # Contributor: Douglas Soares de Andrade doug...@archlinux.org
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
-pkgbase=pyqt
-pkgname=('pyqt-common' 'pyqt' 'python2-pyqt')
-pkgver=4.10.1
+pkgbase=pyqt4
+pkgname=('pyqt4-common' 'python-pyqt4' 'python2-pyqt4')
+pkgver=4.10.2
 pkgrel=1
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
 makedepends=('python-sip' 'python-dbus' 'python2-sip' 'phonon' 'mesa'
  'python2-opengl' 'qt-assistant-compat' 'qtwebkit' 'python2-dbus')
-source=(http://downloads.sourceforge.net/${pkgbase}/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('e5973c4ec0b0469f329bc00209d2ad9c')
+source=(http://downloads.sourceforge.net/pyqt/PyQt-x11-gpl-${pkgver}.tar.gz;)
+md5sums=('9257e12fec9b1b21e5a0d76d455d1691')
 
 build() {
   cp -r PyQt-x11-gpl-${pkgver} Py2Qt-x11-gpl-${pkgver}
@@ -43,9 +43,12 @@
   make
 }
 
-package_pyqt-common(){
-  pkgdesc=Common PyQt files shared between pyqt and python2-pyqt
+package_pyqt4-common(){
+  pkgdesc=Common PyQt files shared between python-pyqt4 and python2-pyqt4
   depends=('qt4')
+  replaces=('pyqt-common')
+  conflicts=('pyqt-common')
+  provides=(pyqt-common=${pkgver})
   
   cd PyQt-x11-gpl-${pkgver}
   make -C pyrcc DESTDIR=${pkgdir} install
@@ -54,12 +57,15 @@
   install -Dm644 PyQt4.api ${pkgdir}/usr/share/qt4/qsci/api/python/PyQt4.api
 }
 
-package_pyqt(){
+package_python-pyqt4(){
   pkgdesc=A set of Python 3.x bindings for the Qt toolkit
-  depends=('qtwebkit' 'python-sip' 'python-dbus' 'pyqt-common')
+  depends=('qtwebkit' 'python-sip' 'python-dbus' 'pyqt4-common')
   optdepends=('phonon: enable audio and video in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')
+  replaces=('pyqt')
+  conflicts=('pyqt')
+  provides=(pyqt=${pkgver})
 
   cd PyQt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
@@ -70,24 +76,26 @@
   rm ${pkgdir}/usr/share/qt4/qsci/api/python/PyQt4.api
 }
 
-package_python2-pyqt(){
+package_python2-pyqt4(){
   pkgdesc=A set of Python 2.x bindings for the Qt toolkit
-  depends=('qtwebkit' 'python2-sip' 'python2-dbus' 'pyqt-common')
+  depends=('qtwebkit' 'python2-sip' 'python2-dbus' 'pyqt4-common')
   optdepends=('phonon: enable audio and video in PyQt applications'
   'python2-opengl: enable OpenGL 3D graphics in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')
-  provides=('python2-qt')
+  replaces=('python2-pyqt')
+  conflicts=('python2-pyqt')
+  provides=(python2-pyqt=${pkgver})
 
   cd Py2Qt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
   make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
 
-  # Fix conflicts with pyqt
+  # Fix conflicts with python-pyqt4
   mv ${pkgdir}/usr/bin/{,python2-}pyuic4
   
-  # Provided by pyqt
+  # Provided by python-pyqt4
   rm ${pkgdir}/usr/bin/{pylupdate4,pyrcc4}
-  rm ${pkgdir}/usr/lib/qt4/plugins/designer/libpythonplugin.so
+  rm ${pkgdir}/usr/lib/qt4/plugins/designer/libpyqt4.so
   rm ${pkgdir}/usr/share/qt4/qsci/api/python/PyQt4.api
 }



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2013-04-23 Thread Andrea Scarpino
Date: Tuesday, April 23, 2013 @ 15:10:38
  Author: andrea
Revision: 183562

upgpkg: pyqt 4.10.1-1

Upstream release

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |   10 ++
 1 file changed, 2 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2013-04-23 13:10:19 UTC (rev 183561)
+++ PKGBUILD2013-04-23 13:10:38 UTC (rev 183562)
@@ -5,7 +5,7 @@
 
 pkgbase=pyqt
 pkgname=('pyqt-common' 'pyqt' 'python2-pyqt')
-pkgver=4.10
+pkgver=4.10.1
 pkgrel=1
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
@@ -13,7 +13,7 @@
 makedepends=('python-sip' 'python-dbus' 'python2-sip' 'phonon' 'mesa'
  'python2-opengl' 'qt-assistant-compat' 'qtwebkit' 'python2-dbus')
 
source=(http://downloads.sourceforge.net/${pkgbase}/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('b5953e96d0f82d322d0cba008163321e')
+md5sums=('e5973c4ec0b0469f329bc00209d2ad9c')
 
 build() {
   cp -r PyQt-x11-gpl-${pkgver} Py2Qt-x11-gpl-${pkgver}
@@ -27,9 +27,6 @@
   # Thanks Gerardo for the rpath fix
   find -name 'Makefile' | xargs sed -i 
's|-Wl,-rpath,/usr/lib||g;s|-Wl,-rpath,.* ||g'
 
-  # Ugly workaround to fix build
-  sed -i 's|/usr/include/qt4/phonon|/usr/include/phonon|' phonon/Makefile
-
   make
 
   ### Python2 version ###
@@ -43,9 +40,6 @@
   # Thanks Gerardo for the rpath fix
   find -name 'Makefile' | xargs sed -i 
's|-Wl,-rpath,/usr/lib||g;s|-Wl,-rpath,.* ||g'
   
-  # Ugly workaround to fix build
-  sed -i 's|/usr/include/qt4/phonon|/usr/include/phonon|' phonon/Makefile
-
   make
 }
 



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2013-03-07 Thread Andrea Scarpino
Date: Thursday, March 7, 2013 @ 09:18:57
  Author: andrea
Revision: 179559

upgpkg: pyqt 4.10-1

Upstream release

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |   23 +++
 1 file changed, 15 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2013-03-07 08:18:46 UTC (rev 179558)
+++ PKGBUILD2013-03-07 08:18:57 UTC (rev 179559)
@@ -5,29 +5,31 @@
 
 pkgbase=pyqt
 pkgname=('pyqt-common' 'pyqt' 'python2-pyqt')
-pkgver=4.9.6
-pkgrel=2
+pkgver=4.10
+pkgrel=1
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
-makedepends=('qt4' 'python-sip' 'python-dbus' 'python2-sip' 'phonon' 'mesa'
+makedepends=('python-sip' 'python-dbus' 'python2-sip' 'phonon' 'mesa'
  'python2-opengl' 'qt-assistant-compat' 'qtwebkit' 'python2-dbus')
 
source=(http://downloads.sourceforge.net/${pkgbase}/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('514e1f9597771dc732ba75ba9fa5c6b6')
+md5sums=('b5953e96d0f82d322d0cba008163321e')
 
 build() {
-  . /etc/profile.d/qt4.sh
-
   cp -r PyQt-x11-gpl-${pkgver} Py2Qt-x11-gpl-${pkgver}
 
   cd PyQt-x11-gpl-${pkgver}
   python configure.py \
 --confirm-license \
---qsci-api
+--qsci-api \
+-q /usr/bin/qmake-qt4
 
   # Thanks Gerardo for the rpath fix
   find -name 'Makefile' | xargs sed -i 
's|-Wl,-rpath,/usr/lib||g;s|-Wl,-rpath,.* ||g'
 
+  # Ugly workaround to fix build
+  sed -i 's|/usr/include/qt4/phonon|/usr/include/phonon|' phonon/Makefile
+
   make
 
   ### Python2 version ###
@@ -35,16 +37,21 @@
   python2 configure.py \
 --confirm-license \
 -v /usr/share/sip \
---qsci-api
+--qsci-api \
+-q /usr/bin/qmake-qt4
 
   # Thanks Gerardo for the rpath fix
   find -name 'Makefile' | xargs sed -i 
's|-Wl,-rpath,/usr/lib||g;s|-Wl,-rpath,.* ||g'
+  
+  # Ugly workaround to fix build
+  sed -i 's|/usr/include/qt4/phonon|/usr/include/phonon|' phonon/Makefile
 
   make
 }
 
 package_pyqt-common(){
   pkgdesc=Common PyQt files shared between pyqt and python2-pyqt
+  depends=('qt4')
   
   cd PyQt-x11-gpl-${pkgver}
   make -C pyrcc DESTDIR=${pkgdir} install



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2013-02-26 Thread Andrea Scarpino
Date: Tuesday, February 26, 2013 @ 11:12:05
  Author: andrea
Revision: 178691

upgpkg: pyqt 4.9.6-2

qt4 rebuild

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |   14 --
 1 file changed, 8 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2013-02-26 09:50:54 UTC (rev 178690)
+++ PKGBUILD2013-02-26 10:12:05 UTC (rev 178691)
@@ -6,16 +6,18 @@
 pkgbase=pyqt
 pkgname=('pyqt-common' 'pyqt' 'python2-pyqt')
 pkgver=4.9.6
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
-makedepends=('qt' 'python-sip' 'python-dbus' 'python2-sip' 'phonon' 'mesa'
+makedepends=('qt4' 'python-sip' 'python-dbus' 'python2-sip' 'phonon' 'mesa'
  'python2-opengl' 'qt-assistant-compat' 'qtwebkit' 'python2-dbus')
 
source=(http://downloads.sourceforge.net/${pkgbase}/PyQt-x11-gpl-${pkgver}.tar.gz;)
 md5sums=('514e1f9597771dc732ba75ba9fa5c6b6')
 
 build() {
+  . /etc/profile.d/qt4.sh
+
   cp -r PyQt-x11-gpl-${pkgver} Py2Qt-x11-gpl-${pkgver}
 
   cd PyQt-x11-gpl-${pkgver}
@@ -48,7 +50,7 @@
   make -C pyrcc DESTDIR=${pkgdir} install
   make -C pylupdate DESTDIR=${pkgdir} install
   
-  install -Dm644 PyQt4.api ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api
+  install -Dm644 PyQt4.api ${pkgdir}/usr/share/qt4/qsci/api/python/PyQt4.api
 }
 
 package_pyqt(){
@@ -64,7 +66,7 @@
 
   # Provided by pyqt-common
   rm ${pkgdir}/usr/bin/{pylupdate4,pyrcc4}
-  rm ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api
+  rm ${pkgdir}/usr/share/qt4/qsci/api/python/PyQt4.api
 }
 
 package_python2-pyqt(){
@@ -85,6 +87,6 @@
   
   # Provided by pyqt
   rm ${pkgdir}/usr/bin/{pylupdate4,pyrcc4}
-  rm ${pkgdir}/usr/lib/qt/plugins/designer/libpythonplugin.so
-  rm ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api
+  rm ${pkgdir}/usr/lib/qt4/plugins/designer/libpythonplugin.so
+  rm ${pkgdir}/usr/share/qt4/qsci/api/python/PyQt4.api
 }



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2012-12-09 Thread Andrea Scarpino
Date: Sunday, December 9, 2012 @ 10:28:34
  Author: andrea
Revision: 173039

upgpkg: pyqt 4.9.6-1

Upstream release

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2012-12-09 15:23:11 UTC (rev 173038)
+++ PKGBUILD2012-12-09 15:28:34 UTC (rev 173039)
@@ -5,15 +5,15 @@
 
 pkgbase=pyqt
 pkgname=('pyqt-common' 'pyqt' 'python2-pyqt')
-pkgver=4.9.5
-pkgrel=3
+pkgver=4.9.6
+pkgrel=1
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
 makedepends=('qt' 'python-sip' 'python-dbus' 'python2-sip' 'phonon' 'mesa'
  'python2-opengl' 'qt-assistant-compat' 'qtwebkit' 'python2-dbus')
 
source=(http://downloads.sourceforge.net/${pkgbase}/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('e4cdd6619c63655f7510efb4df8462fb')
+md5sums=('514e1f9597771dc732ba75ba9fa5c6b6')
 
 build() {
   cp -r PyQt-x11-gpl-${pkgver} Py2Qt-x11-gpl-${pkgver}



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2012-10-18 Thread Andrea Scarpino
Date: Thursday, October 18, 2012 @ 06:40:35
  Author: andrea
Revision: 169112

upgpkg: pyqt 4.9.5-3

Build missing QtOpenGL module

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2012-10-18 09:07:07 UTC (rev 169111)
+++ PKGBUILD2012-10-18 10:40:35 UTC (rev 169112)
@@ -6,11 +6,11 @@
 pkgbase=pyqt
 pkgname=('pyqt-common' 'pyqt' 'python2-pyqt')
 pkgver=4.9.5
-pkgrel=2
+pkgrel=3
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
-makedepends=('qt' 'python-sip' 'python-dbus' 'python2-sip' 'phonon'
+makedepends=('qt' 'python-sip' 'python-dbus' 'python2-sip' 'phonon' 'mesa'
  'python2-opengl' 'qt-assistant-compat' 'qtwebkit' 'python2-dbus')
 
source=(http://downloads.sourceforge.net/${pkgbase}/PyQt-x11-gpl-${pkgver}.tar.gz;)
 md5sums=('e4cdd6619c63655f7510efb4df8462fb')



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2012-10-15 Thread Andrea Scarpino
Date: Monday, October 15, 2012 @ 03:45:26
  Author: andrea
Revision: 168743

Move the designer plugin to the pyqt package as it only works with Python3 
(FS#31952)

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |8 +++-
 1 file changed, 3 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2012-10-15 07:00:19 UTC (rev 168742)
+++ PKGBUILD2012-10-15 07:45:26 UTC (rev 168743)
@@ -6,13 +6,13 @@
 pkgbase=pyqt
 pkgname=('pyqt-common' 'pyqt' 'python2-pyqt')
 pkgver=4.9.5
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
 makedepends=('qt' 'python-sip' 'python-dbus' 'python2-sip' 'phonon'
  'python2-opengl' 'qt-assistant-compat' 'qtwebkit' 'python2-dbus')
- 
source=(http://downloads.sourceforge.net/${pkgbase}/PyQt-x11-gpl-${pkgver}.tar.gz;)
+source=(http://downloads.sourceforge.net/${pkgbase}/PyQt-x11-gpl-${pkgver}.tar.gz;)
 md5sums=('e4cdd6619c63655f7510efb4df8462fb')
 
 build() {
@@ -47,7 +47,6 @@
   cd PyQt-x11-gpl-${pkgver}
   make -C pyrcc DESTDIR=${pkgdir} install
   make -C pylupdate DESTDIR=${pkgdir} install
-  make -C designer INSTALL_ROOT=${pkgdir} install
   
   install -Dm644 PyQt4.api ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api
 }
@@ -65,7 +64,6 @@
 
   # Provided by pyqt-common
   rm ${pkgdir}/usr/bin/{pylupdate4,pyrcc4}
-  rm ${pkgdir}/usr/lib/qt/plugins/designer/libpythonplugin.so
   rm ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api
 }
 
@@ -85,7 +83,7 @@
   # Fix conflicts with pyqt
   mv ${pkgdir}/usr/bin/{,python2-}pyuic4
   
-  # Provided by pyqt-common
+  # Provided by pyqt
   rm ${pkgdir}/usr/bin/{pylupdate4,pyrcc4}
   rm ${pkgdir}/usr/lib/qt/plugins/designer/libpythonplugin.so
   rm ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api



[arch-commits] Commit in pyqt/trunk (PKGBUILD fix-pyuic4.patch)

2012-10-01 Thread Andrea Scarpino
Date: Monday, October 1, 2012 @ 02:53:08
  Author: andrea
Revision: 167323

upgpkg: pyqt 4.9.5-1

Python rebuild

Modified:
  pyqt/trunk/PKGBUILD
Deleted:
  pyqt/trunk/fix-pyuic4.patch

--+
 PKGBUILD |   29 ++--
 fix-pyuic4.patch |   91 -
 2 files changed, 11 insertions(+), 109 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2012-10-01 01:53:47 UTC (rev 167322)
+++ PKGBUILD2012-10-01 06:53:08 UTC (rev 167323)
@@ -5,27 +5,20 @@
 
 pkgbase=pyqt
 pkgname=('pyqt-common' 'pyqt' 'python2-pyqt')
-pkgver=4.9.4
-pkgrel=2
+pkgver=4.9.5
+pkgrel=1
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
 makedepends=('qt' 'python-sip' 'python-dbus' 'python2-sip' 'phonon'
- 'python-opengl' 'qt-assistant-compat' 'qtwebkit' 'python2-dbus')
-source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;
-'fix-pyuic4.patch')
-md5sums=('a0b6a820633366365af5124ddbd059c7'
- '097651aea0bafded5abdfd6d62afd2ad')
+ 'python2-opengl' 'qt-assistant-compat' 'qtwebkit' 'python2-dbus')
+ 
source=(http://downloads.sourceforge.net/${pkgbase}/PyQt-x11-gpl-${pkgver}.tar.gz;)
+md5sums=('e4cdd6619c63655f7510efb4df8462fb')
 
 build() {
-  # FS#30728
-  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
-  patch -p1 -i ${srcdir}/fix-pyuic4.patch
-  cd ..
-  
   cp -r PyQt-x11-gpl-${pkgver} Py2Qt-x11-gpl-${pkgver}
 
-  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
+  cd PyQt-x11-gpl-${pkgver}
   python configure.py \
 --confirm-license \
 --qsci-api
@@ -36,7 +29,7 @@
   make
 
   ### Python2 version ###
-  cd ${srcdir}/Py2Qt-x11-gpl-${pkgver}
+  cd ../Py2Qt-x11-gpl-${pkgver}
   python2 configure.py \
 --confirm-license \
 -v /usr/share/sip \
@@ -51,7 +44,7 @@
 package_pyqt-common(){
   pkgdesc=Common PyQt files shared between pyqt and python2-pyqt
   
-  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
+  cd PyQt-x11-gpl-${pkgver}
   make -C pyrcc DESTDIR=${pkgdir} install
   make -C pylupdate DESTDIR=${pkgdir} install
   make -C designer INSTALL_ROOT=${pkgdir} install
@@ -66,7 +59,7 @@
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')
 
-  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
+  cd PyQt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
   make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
 
@@ -80,12 +73,12 @@
   pkgdesc=A set of Python 2.x bindings for the Qt toolkit
   depends=('qtwebkit' 'python2-sip' 'python2-dbus' 'pyqt-common')
   optdepends=('phonon: enable audio and video in PyQt applications'
-  'python-opengl: enable OpenGL 3D graphics in PyQt applications'
+  'python2-opengl: enable OpenGL 3D graphics in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')
   provides=('python2-qt')
 
-  cd ${srcdir}/Py2Qt-x11-gpl-${pkgver}
+  cd Py2Qt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
   make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
 

Deleted: fix-pyuic4.patch
===
--- fix-pyuic4.patch2012-10-01 01:53:47 UTC (rev 167322)
+++ fix-pyuic4.patch2012-10-01 06:53:08 UTC (rev 167323)
@@ -1,91 +0,0 @@
-# HG changeset patch
-# User Phil Thompson phil at riverbankcomputing.com
-# Date 2012-07-13 13:39:28 +0100
-# Node ID 29b668ada14c1428a3bbfe8f0324c6626bd5ac9a
-# Parent  fd0f3da9d79ca9858d10a20c15fb85456cb832d7
-Fixed a regression in pyuic's handling of custom widgets.
-
-diff --git a/pyuic/uic/Compiler/qobjectcreator.py 
b/pyuic/uic/Compiler/qobjectcreator.py
 a/pyuic/uic/Compiler/qobjectcreator.py
-+++ b/pyuic/uic/Compiler/qobjectcreator.py
-@@ -1,6 +1,6 @@
- #
- ##
--## Copyright (C) 2011 Riverbank Computing Limited.
-+## Copyright (C) 2012 Riverbank Computing Limited.
- ## Copyright (C) 2006 Thorsten Marek.
- ## All right reserved.
- ##
-@@ -100,7 +100,6 @@
- assert widgetClass not in self._widgets 
- self._widgets[widgetClass] = (baseClass, module)
- 
--
- def _resolveBaseclass(self, baseClass):
- try:
- for x in range(0, 10):
-@@ -114,19 +113,17 @@
- except KeyError:
- raise ValueError(unknown baseclass %s % baseClass)
- 
--
- def search(self, cls):
- try:
--self._usedWidgets.add(cls)
- baseClass = self._resolveBaseclass(self._widgets[cls][0])
- DEBUG(resolved baseclass of %s: %s % (cls, baseClass))
--
--return type(cls, (baseClass,),
--{module : })
--
- 

[arch-commits] Commit in pyqt/trunk (PKGBUILD fix-pyuic4.patch)

2012-07-17 Thread Andrea Scarpino
Date: Tuesday, July 17, 2012 @ 14:10:36
  Author: andrea
Revision: 163678

Fix regression (FS#30728)

Added:
  pyqt/trunk/fix-pyuic4.patch
Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |   14 +---
 fix-pyuic4.patch |   91 +
 2 files changed, 101 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2012-07-17 18:01:27 UTC (rev 163677)
+++ PKGBUILD2012-07-17 18:10:36 UTC (rev 163678)
@@ -6,17 +6,23 @@
 pkgbase=pyqt
 pkgname=('pyqt-common' 'pyqt' 'python2-pyqt')
 pkgver=4.9.4
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
 makedepends=('qt' 'python-sip' 'python-dbus' 'python2-sip' 'phonon'
  'python-opengl' 'qt-assistant-compat' 'qtwebkit' 'python2-dbus')
- 
source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('a0b6a820633366365af5124ddbd059c7')
+source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;
+'fix-pyuic4.patch')
+md5sums=('a0b6a820633366365af5124ddbd059c7'
+ '097651aea0bafded5abdfd6d62afd2ad')
 
 build() {
-  cd ${srcdir}
+  # FS#30728
+  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
+  patch -p1 -i ${srcdir}/fix-pyuic4.patch
+  cd ..
+  
   cp -r PyQt-x11-gpl-${pkgver} Py2Qt-x11-gpl-${pkgver}
 
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}

Added: fix-pyuic4.patch
===
--- fix-pyuic4.patch(rev 0)
+++ fix-pyuic4.patch2012-07-17 18:10:36 UTC (rev 163678)
@@ -0,0 +1,91 @@
+# HG changeset patch
+# User Phil Thompson phil at riverbankcomputing.com
+# Date 2012-07-13 13:39:28 +0100
+# Node ID 29b668ada14c1428a3bbfe8f0324c6626bd5ac9a
+# Parent  fd0f3da9d79ca9858d10a20c15fb85456cb832d7
+Fixed a regression in pyuic's handling of custom widgets.
+
+diff --git a/pyuic/uic/Compiler/qobjectcreator.py 
b/pyuic/uic/Compiler/qobjectcreator.py
+--- a/pyuic/uic/Compiler/qobjectcreator.py
 b/pyuic/uic/Compiler/qobjectcreator.py
+@@ -1,6 +1,6 @@
+ #
+ ##
+-## Copyright (C) 2011 Riverbank Computing Limited.
++## Copyright (C) 2012 Riverbank Computing Limited.
+ ## Copyright (C) 2006 Thorsten Marek.
+ ## All right reserved.
+ ##
+@@ -100,7 +100,6 @@
+ assert widgetClass not in self._widgets 
+ self._widgets[widgetClass] = (baseClass, module)
+ 
+-
+ def _resolveBaseclass(self, baseClass):
+ try:
+ for x in range(0, 10):
+@@ -114,19 +113,17 @@
+ except KeyError:
+ raise ValueError(unknown baseclass %s % baseClass)
+ 
+-
+ def search(self, cls):
+ try:
+-self._usedWidgets.add(cls)
+ baseClass = self._resolveBaseclass(self._widgets[cls][0])
+ DEBUG(resolved baseclass of %s: %s % (cls, baseClass))
+-
+-return type(cls, (baseClass,),
+-{module : })
+-
+ except KeyError:
+ return None
+ 
++self._usedWidgets.add(cls)
++
++return type(cls, (baseClass, ), {module : })
++
+ def _writeImportCode(self):
+ imports = {}
+ for widget in self._usedWidgets:
+diff --git a/pyuic/uic/objcreator.py b/pyuic/uic/objcreator.py
+--- a/pyuic/uic/objcreator.py
 b/pyuic/uic/objcreator.py
+@@ -102,19 +102,26 @@
+ self._modules.append(self._customWidgets)
+ 
+ def createQObject(self, classname, *args, **kwargs):
+-# Handle scoped names, typically static factory methods.
+-parts = classname.split('.')
+-factory = self.findQObjectType(parts[0])
++# Handle regular and custom widgets.
++factory = self.findQObjectType(classname)
+ 
+-if factory is not None:
+-for part in parts[1:]:
+-factory = getattr(factory, part, None)
+-if factory is None:
+-break
+-else:
+-return self._cpolicy.instantiate(factory, *args, **kwargs)
++if factory is None:
++# Handle scoped names, typically static factory methods.
++parts = classname.split('.')
+ 
+-raise NoSuchWidgetError(classname)
++if len(parts)  1:
++factory = self.findQObjectType(parts[0])
++
++if factory is not None:
++for part in parts[1:]:
++factory = getattr(factory, part, None)
++if factory is None:
++break
++
++if factory is None:
++raise NoSuchWidgetError(classname)
++
++return self._cpolicy.instantiate(factory, *args, **kwargs)
+ 
+ def invoke(self, rname, method, args=()):
+ return 

[arch-commits] Commit in pyqt/trunk (PKGBUILD fix-qthelp-build.patch)

2012-06-28 Thread Andrea Scarpino
Date: Thursday, June 28, 2012 @ 03:29:34
  Author: andrea
Revision: 162689

upgpkg: pyqt 4.9.4-1

Upstream release

Modified:
  pyqt/trunk/PKGBUILD
Deleted:
  pyqt/trunk/fix-qthelp-build.patch

+
 PKGBUILD   |   14 --
 fix-qthelp-build.patch |   11 ---
 2 files changed, 4 insertions(+), 21 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2012-06-28 07:00:06 UTC (rev 162688)
+++ PKGBUILD2012-06-28 07:29:34 UTC (rev 162689)
@@ -5,23 +5,17 @@
 
 pkgbase=pyqt
 pkgname=('pyqt-common' 'pyqt' 'python2-pyqt')
-pkgver=4.9.3
-pkgrel=3
+pkgver=4.9.4
+pkgrel=1
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
 makedepends=('qt' 'python-sip' 'python-dbus' 'python2-sip' 'phonon'
  'python-opengl' 'qt-assistant-compat' 'qtwebkit' 'python2-dbus')
-source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;
-'fix-qthelp-build.patch')
-md5sums=('223f75c55f1c38c46bd164cdd4996a43'
- '6acfe0a5a00779f946c29d5fac647ce1')
+ 
source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
+md5sums=('a0b6a820633366365af5124ddbd059c7')
 
 build() {
-  # Build QtHelp (FS#27665)
-  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
-  patch -p1 -i ${srcdir}/fix-qthelp-build.patch
-
   cd ${srcdir}
   cp -r PyQt-x11-gpl-${pkgver} Py2Qt-x11-gpl-${pkgver}
 

Deleted: fix-qthelp-build.patch
===
--- fix-qthelp-build.patch  2012-06-28 07:00:06 UTC (rev 162688)
+++ fix-qthelp-build.patch  2012-06-28 07:29:34 UTC (rev 162689)
@@ -1,11 +0,0 @@
 PyQt-x11-gpl-4.9.1/configure.py~   2012-02-13 20:16:11.418786488 +
-+++ PyQt-x11-gpl-4.9.1/configure.py2012-02-13 20:16:50.561809527 +
-@@ -1261,7 +1261,7 @@
- opengl = (mname == QtOpenGL)
- 
- qt = [mname]
--if mname in (QtOpenGL, QtWebKit):
-+if mname in (QtHelp, QtOpenGL, QtWebKit):
- qt.append(QtCore)
- 
- makefile = sipconfig.ProgramMakefile(sipcfg, console=1, qt=qt, warnings=0,



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2012-06-27 Thread Andrea Scarpino
Date: Wednesday, June 27, 2012 @ 15:08:50
  Author: andrea
Revision: 162665

Upstream release; first try to remove the python3 dependence from the python2 
bindings package

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |   41 +++--
 1 file changed, 27 insertions(+), 14 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2012-06-27 18:33:40 UTC (rev 162664)
+++ PKGBUILD2012-06-27 19:08:50 UTC (rev 162665)
@@ -4,9 +4,9 @@
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgbase=pyqt
-pkgname=('pyqt' 'python2-pyqt')
-pkgver=4.9.1
-pkgrel=2
+pkgname=('pyqt-common' 'pyqt' 'python2-pyqt')
+pkgver=4.9.3
+pkgrel=1
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
@@ -14,7 +14,7 @@
  'python-opengl' 'qt-assistant-compat' 'qtwebkit' 'python2-dbus')
 
source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;
 'fix-qthelp-build.patch')
-md5sums=('7f495dc49f71e3bfb64bf942e0d8bb3c'
+md5sums=('223f75c55f1c38c46bd164cdd4996a43'
  '6acfe0a5a00779f946c29d5fac647ce1')
 
 build() {
@@ -48,37 +48,50 @@
   make
 }
 
+package_pyqt-common(){
+  pkgdesc=Common PyQt files shared between pyqt and python2-pyqt
+  
+  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
+  make -C designer INSTALL_ROOT=${pkgdir} install
+  
+  install -Dm644 PyQt4.api ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api
+}
+
 package_pyqt(){
   pkgdesc=A set of Python 3.x bindings for the Qt toolkit
-  depends=('qtwebkit' 'python-sip' 'python-dbus')
+  depends=('qtwebkit' 'python-sip' 'python-dbus' 'pyqt-common')
   optdepends=('phonon: enable audio and video in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')
-  replaces=('python-qt')
-  provides=('python-qt')
 
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
   make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
+
+  # Provided by pyqt-common
+  rm ${pkgdir}/usr/lib/qt/plugins/designer/libpythonplugin.so
+  rm ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api
 }
 
 package_python2-pyqt(){
   pkgdesc=A set of Python 2.x bindings for the Qt toolkit
-  depends=('pyqt' 'python2-sip' 'python2-dbus')
+  depends=('qtwebkit' 'python2-sip' 'python2-dbus' 'pyqt-common')
   optdepends=('phonon: enable audio and video in PyQt applications'
   'python-opengl: enable OpenGL 3D graphics in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')
-  replaces=('python2-qt')
-  provides=('python2-qt')
   options=('!emptydirs')
 
   cd ${srcdir}/Py2Qt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
   make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
 
-  # Provided by pyqt
-  rm ${pkgdir}/usr/bin/{pylupdate4,pyrcc4,pyuic4}
-  rm ${pkgdir}/usr/lib/qt/plugins/designer/libpythonplugin.so
-  rm ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api
+  # Fix conflicts with pyqt
+  mv ${pkgdir}/usr/bin/{,python2-}pylupdate4
+  mv ${pkgdir}/usr/bin/{,python2-}pyrcc4
+  mv ${pkgdir}/usr/bin/{,python2-}pyuic4
+  
+  # Provided by pyqt-common
+  rm ${pkgdir}/usr/lib/qt/plugins/designer/libpythonplugin.so
+  rm ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api
 }



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2012-06-27 Thread Andrea Scarpino
Date: Wednesday, June 27, 2012 @ 15:35:46
  Author: andrea
Revision: 162667

upgpkg: pyqt 4.9.3-2

No need to rename those

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |9 +
 1 file changed, 5 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2012-06-27 19:19:52 UTC (rev 162666)
+++ PKGBUILD2012-06-27 19:35:46 UTC (rev 162667)
@@ -6,7 +6,7 @@
 pkgbase=pyqt
 pkgname=('pyqt-common' 'pyqt' 'python2-pyqt')
 pkgver=4.9.3
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
@@ -52,6 +52,8 @@
   pkgdesc=Common PyQt files shared between pyqt and python2-pyqt
   
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}
+  make -C pyrcc DESTDIR=${pkgdir} install
+  make -C pylupdate DESTDIR=${pkgdir} install
   make -C designer INSTALL_ROOT=${pkgdir} install
   
   install -Dm644 PyQt4.api ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api
@@ -69,6 +71,7 @@
   make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
 
   # Provided by pyqt-common
+  rm ${pkgdir}/usr/bin/{pylupdate4,pyrcc4}
   rm ${pkgdir}/usr/lib/qt/plugins/designer/libpythonplugin.so
   rm ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api
 }
@@ -80,18 +83,16 @@
   'python-opengl: enable OpenGL 3D graphics in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')
-  options=('!emptydirs')
 
   cd ${srcdir}/Py2Qt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
   make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
 
   # Fix conflicts with pyqt
-  mv ${pkgdir}/usr/bin/{,python2-}pylupdate4
-  mv ${pkgdir}/usr/bin/{,python2-}pyrcc4
   mv ${pkgdir}/usr/bin/{,python2-}pyuic4
   
   # Provided by pyqt-common
+  rm ${pkgdir}/usr/bin/{pylupdate4,pyrcc4}
   rm ${pkgdir}/usr/lib/qt/plugins/designer/libpythonplugin.so
   rm ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api
 }



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2012-06-27 Thread Andrea Scarpino
Date: Wednesday, June 27, 2012 @ 18:04:20
  Author: andrea
Revision: 162683

upgpkg: pyqt 4.9.3-3

Re-add provides()

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Modified: PKGBUILD
===
--- PKGBUILD2012-06-27 22:03:15 UTC (rev 162682)
+++ PKGBUILD2012-06-27 22:04:20 UTC (rev 162683)
@@ -6,7 +6,7 @@
 pkgbase=pyqt
 pkgname=('pyqt-common' 'pyqt' 'python2-pyqt')
 pkgver=4.9.3
-pkgrel=2
+pkgrel=3
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
@@ -83,6 +83,7 @@
   'python-opengl: enable OpenGL 3D graphics in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')
+  provides=('python2-qt')
 
   cd ${srcdir}/Py2Qt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2012-06-13 Thread Andrea Scarpino
Date: Wednesday, June 13, 2012 @ 13:06:22
  Author: andrea
Revision: 161770

upgpkg: pyqt 4.9.1-2

Add python 3 dbus support

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |   10 +-
 1 file changed, 5 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2012-06-13 16:55:23 UTC (rev 161769)
+++ PKGBUILD2012-06-13 17:06:22 UTC (rev 161770)
@@ -6,12 +6,12 @@
 pkgbase=pyqt
 pkgname=('pyqt' 'python2-pyqt')
 pkgver=4.9.1
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
-makedepends=('qt' 'python-sip' 'dbus-python' 'python2-sip' 'phonon'
- 'python-opengl' 'qt-assistant-compat' 'qtwebkit')
+makedepends=('qt' 'python-sip' 'python-dbus' 'python2-sip' 'phonon'
+ 'python-opengl' 'qt-assistant-compat' 'qtwebkit' 'python2-dbus')
 
source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;
 'fix-qthelp-build.patch')
 md5sums=('7f495dc49f71e3bfb64bf942e0d8bb3c'
@@ -50,7 +50,7 @@
 
 package_pyqt(){
   pkgdesc=A set of Python 3.x bindings for the Qt toolkit
-  depends=('qtwebkit' 'python-sip')
+  depends=('qtwebkit' 'python-sip' 'python-dbus')
   optdepends=('phonon: enable audio and video in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')
@@ -64,7 +64,7 @@
 
 package_python2-pyqt(){
   pkgdesc=A set of Python 2.x bindings for the Qt toolkit
-  depends=('pyqt' 'python2-sip' 'dbus-python')
+  depends=('pyqt' 'python2-sip' 'python2-dbus')
   optdepends=('phonon: enable audio and video in PyQt applications'
   'python-opengl: enable OpenGL 3D graphics in PyQt applications'
   'qscintilla: QScintilla API'



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2011-12-23 Thread Andrea Scarpino
Date: Friday, December 23, 2011 @ 04:44:19
  Author: andrea
Revision: 145571

Upstream release

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2011-12-23 09:29:29 UTC (rev 145570)
+++ PKGBUILD2011-12-23 09:44:19 UTC (rev 145571)
@@ -6,15 +6,15 @@
 
 pkgbase=pyqt
 pkgname=('pyqt' 'python2-pyqt')
-pkgver=4.8.6
-pkgrel=2
+pkgver=4.9
+pkgrel=1
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
 makedepends=('qt' 'python-sip' 'dbus-python' 'python2-sip' 'phonon'
  'python-opengl' 'qt-assistant-compat' 'qtwebkit')
 
source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('9bfd7b08b8e438b83cc50d5c58191f97')
+md5sums=('61619500d09d87b6c2a25bd3ea994504')
 
 build() {
   cd ${srcdir}



[arch-commits] Commit in pyqt/trunk (PKGBUILD fix-qthelp-build.patch)

2011-12-23 Thread Andrea Scarpino
Date: Friday, December 23, 2011 @ 09:48:19
  Author: andrea
Revision: 145604

upgpkg: pyqt 4.9-2

Build QtHelp module (FS#27665)

Added:
  pyqt/trunk/fix-qthelp-build.patch
Modified:
  pyqt/trunk/PKGBUILD

+
 PKGBUILD   |   11 ---
 fix-qthelp-build.patch |   11 +++
 2 files changed, 19 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2011-12-23 11:17:35 UTC (rev 145603)
+++ PKGBUILD2011-12-23 14:48:19 UTC (rev 145604)
@@ -7,17 +7,22 @@
 pkgbase=pyqt
 pkgname=('pyqt' 'python2-pyqt')
 pkgver=4.9
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
 makedepends=('qt' 'python-sip' 'dbus-python' 'python2-sip' 'phonon'
  'python-opengl' 'qt-assistant-compat' 'qtwebkit')
-source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('61619500d09d87b6c2a25bd3ea994504')
+source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;
+'fix-qthelp-build.patch')
+md5sums=('61619500d09d87b6c2a25bd3ea994504'
+ '356a453331a33c507b1baba4a9771764')
 
 build() {
   cd ${srcdir}
+
+  patch -p0 -i ${srcdir}/fix-qthelp-build.patch
+
   cp -r PyQt-x11-gpl-${pkgver} Py2Qt-x11-gpl-${pkgver}
 
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}

Added: fix-qthelp-build.patch
===
--- fix-qthelp-build.patch  (rev 0)
+++ fix-qthelp-build.patch  2011-12-23 14:48:19 UTC (rev 145604)
@@ -0,0 +1,11 @@
+--- PyQt-x11-gpl-4.9/configure.py~ 2011-12-23 14:53:07.981490550 +0100
 PyQt-x11-gpl-4.9/configure.py  2011-12-23 14:52:38.384984221 +0100
+@@ -1264,7 +1264,7 @@
+ opengl = (mname == QtOpenGL)
+ 
+ qt = [mname]
+-if mname in (QtOpenGL, QtWebKit):
++if mname in (QtHelp, QtOpenGL, QtWebKit):
+ qt.append(QtCore)
+ 
+ makefile = sipconfig.ProgramMakefile(sipcfg, console=1, qt=qt, warnings=0,



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2011-12-17 Thread Andrea Scarpino
Date: Saturday, December 17, 2011 @ 04:34:18
  Author: andrea
Revision: 145128

upgpkg: pyqt 4.8.6-2

Qt 4.8.0 rebuild

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |7 ---
 1 file changed, 4 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2011-12-17 09:29:31 UTC (rev 145127)
+++ PKGBUILD2011-12-17 09:34:18 UTC (rev 145128)
@@ -7,12 +7,12 @@
 pkgbase=pyqt
 pkgname=('pyqt' 'python2-pyqt')
 pkgver=4.8.6
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
 makedepends=('qt' 'python-sip' 'dbus-python' 'python2-sip' 'phonon'
- 'python-opengl' 'qt-assistant-compat')
+ 'python-opengl' 'qt-assistant-compat' 'qtwebkit')
 
source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
 md5sums=('9bfd7b08b8e438b83cc50d5c58191f97')
 
@@ -45,7 +45,7 @@
 
 package_pyqt(){
   pkgdesc=A set of Python 3.x bindings for the Qt toolkit
-  depends=('qt' 'python-sip')
+  depends=('qtwebkit' 'python-sip')
   optdepends=('phonon: enable audio and video in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')
@@ -66,6 +66,7 @@
   'qt-assistant-compat: add PyQt online help in Qt Assistant')
   replaces=('python2-qt')
   provides=('python2-qt')
+  options=('!emptydirs')
 
   cd ${srcdir}/Py2Qt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2011-12-05 Thread Ray Rashif
Date: Monday, December 5, 2011 @ 11:34:51
  Author: schiv
Revision: 144416

better descriptions

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2011-12-05 16:00:05 UTC (rev 144415)
+++ PKGBUILD2011-12-05 16:34:51 UTC (rev 144416)
@@ -44,21 +44,21 @@
 }
 
 package_pyqt(){
-  pkgdesc=A set of Python bindings for the Qt toolkit
+  pkgdesc=A set of Python 3.x bindings for the Qt toolkit
   depends=('qt' 'python-sip')
   optdepends=('phonon: enable audio and video in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')
   replaces=('python-qt')
   provides=('python-qt')
-  
+
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
   make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
 }
 
 package_python2-pyqt(){
-  pkgdesc=PyQt: A set of Python2 bindings for the Qt toolkit
+  pkgdesc=A set of Python 2.x bindings for the Qt toolkit
   depends=('pyqt' 'python2-sip' 'dbus-python')
   optdepends=('phonon: enable audio and video in PyQt applications'
   'python-opengl: enable OpenGL 3D graphics in PyQt applications'



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2011-10-30 Thread Andrea Scarpino
Date: Sunday, October 30, 2011 @ 06:30:49
  Author: andrea
Revision: 141381

upgpkg: pyqt 4.8.6-1

upstream release

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |   11 ++-
 1 file changed, 6 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2011-10-30 09:03:01 UTC (rev 141380)
+++ PKGBUILD2011-10-30 10:30:49 UTC (rev 141381)
@@ -1,19 +1,20 @@
 # $Id$
-# Maintainer: Andrea Scarpino and...@archlinux.org
+# Maintainer:
+# Contributor: Andrea Scarpino and...@archlinux.org
 # Contributor: Douglas Soares de Andrade doug...@archlinux.org
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgbase=pyqt
 pkgname=('pyqt' 'python2-pyqt')
-pkgver=4.8.5
-pkgrel=2
+pkgver=4.8.6
+pkgrel=1
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
 makedepends=('qt' 'python-sip' 'dbus-python' 'python2-sip' 'phonon'
- 'python-opengl' 'qt-assistant-compat' 'qtwebkit')
+ 'python-opengl' 'qt-assistant-compat')
 
source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('0e4264bb912edfbda319bb236ac84407')
+md5sums=('9bfd7b08b8e438b83cc50d5c58191f97')
 
 build() {
   cd ${srcdir}



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2011-10-30 Thread Andrea Scarpino
Date: Sunday, October 30, 2011 @ 06:59:06
  Author: andrea
Revision: 141383

upgpkg: pyqt 4.8.6-1

Fix pyqt dependence

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Modified: PKGBUILD
===
--- PKGBUILD2011-10-30 10:31:12 UTC (rev 141382)
+++ PKGBUILD2011-10-30 10:59:06 UTC (rev 141383)
@@ -45,7 +45,7 @@
 
 package_pyqt(){
   pkgdesc=A set of Python bindings for the Qt toolkit
-  depends=('qt' 'python-sip' 'qtwebkit')
+  depends=('qt' 'python-sip')
   optdepends=('phonon: enable audio and video in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2011-10-30 Thread Andrea Scarpino
Date: Sunday, October 30, 2011 @ 07:23:57
  Author: andrea
Revision: 141459

Qt 4.8 rebuild

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2011-10-30 11:20:13 UTC (rev 141458)
+++ PKGBUILD2011-10-30 11:23:57 UTC (rev 141459)
@@ -7,12 +7,12 @@
 pkgbase=pyqt
 pkgname=('pyqt' 'python2-pyqt')
 pkgver=4.8.6
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
 makedepends=('qt' 'python-sip' 'dbus-python' 'python2-sip' 'phonon'
- 'python-opengl' 'qt-assistant-compat')
+ 'python-opengl' 'qt-assistant-compat' 'qtwebkit')
 
source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
 md5sums=('9bfd7b08b8e438b83cc50d5c58191f97')
 
@@ -45,7 +45,7 @@
 
 package_pyqt(){
   pkgdesc=A set of Python bindings for the Qt toolkit
-  depends=('qt' 'python-sip')
+  depends=('qtwebkit' 'python-sip')
   optdepends=('phonon: enable audio and video in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2011-10-21 Thread Andrea Scarpino
Date: Friday, October 21, 2011 @ 20:01:42
  Author: andrea
Revision: 141025

upgpkg: pyqt 4.8.5-2

Add qtwebkit to depends

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2011-10-21 22:01:26 UTC (rev 141024)
+++ PKGBUILD2011-10-22 00:01:42 UTC (rev 141025)
@@ -6,12 +6,12 @@
 pkgbase=pyqt
 pkgname=('pyqt' 'python2-pyqt')
 pkgver=4.8.5
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
 makedepends=('qt' 'python-sip' 'dbus-python' 'python2-sip' 'phonon'
- 'python-opengl' 'qt-assistant-compat')
+ 'python-opengl' 'qt-assistant-compat' 'qtwebkit')
 
source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
 md5sums=('0e4264bb912edfbda319bb236ac84407')
 
@@ -44,7 +44,7 @@
 
 package_pyqt(){
   pkgdesc=A set of Python bindings for the Qt toolkit
-  depends=('qt' 'python-sip')
+  depends=('qt' 'python-sip' 'qtwebkit')
   optdepends=('phonon: enable audio and video in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2011-08-11 Thread Andrea Scarpino
Date: Thursday, August 11, 2011 @ 12:55:55
  Author: andrea
Revision: 135252

upgpkg: pyqt 4.8.5-1
upstream release

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2011-08-11 16:54:57 UTC (rev 135251)
+++ PKGBUILD2011-08-11 16:55:55 UTC (rev 135252)
@@ -5,7 +5,7 @@
 
 pkgbase=pyqt
 pkgname=('pyqt' 'python2-pyqt')
-pkgver=4.8.4
+pkgver=4.8.5
 pkgrel=1
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
@@ -13,7 +13,7 @@
 makedepends=('qt' 'python-sip' 'dbus-python' 'python2-sip' 'phonon'
  'python-opengl' 'qt-assistant-compat')
 
source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('97c5dc1042feb5b3fe20baabad055af1')
+md5sums=('0e4264bb912edfbda319bb236ac84407')
 
 build() {
   cd ${srcdir}



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2011-06-17 Thread Andrea Scarpino
Date: Friday, June 17, 2011 @ 03:24:32
  Author: andrea
Revision: 127621

undo

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Modified: PKGBUILD
===
--- PKGBUILD2011-06-17 07:22:35 UTC (rev 127620)
+++ PKGBUILD2011-06-17 07:24:32 UTC (rev 127621)
@@ -6,7 +6,7 @@
 pkgbase=pyqt
 pkgname=('pyqt' 'python2-pyqt')
 pkgver=4.8.4
-pkgrel=2
+pkgrel=1
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2011-05-02 Thread Andrea Scarpino
Date: Monday, May 2, 2011 @ 13:19:47
  Author: andrea
Revision: 122177

rename python2-qt to python2-pyqt

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |6 --
 1 file changed, 4 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2011-05-02 17:15:19 UTC (rev 122176)
+++ PKGBUILD2011-05-02 17:19:47 UTC (rev 122177)
@@ -4,7 +4,7 @@
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgbase=pyqt
-pkgname=('pyqt' 'python2-qt')
+pkgname=('pyqt' 'python2-pyqt')
 pkgver=4.8.4
 pkgrel=1
 arch=('i686' 'x86_64')
@@ -56,13 +56,15 @@
   make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
 }
 
-package_python2-qt(){
+package_python2-pyqt(){
   pkgdesc=PyQt: A set of Python2 bindings for the Qt toolkit
   depends=('pyqt' 'python2-sip' 'dbus-python')
   optdepends=('phonon: enable audio and video in PyQt applications'
   'python-opengl: enable OpenGL 3D graphics in PyQt applications'
   'qscintilla: QScintilla API'
   'qt-assistant-compat: add PyQt online help in Qt Assistant')
+  replaces=('python2-qt')
+  provides=('python2-qt')
 
   cd ${srcdir}/Py2Qt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2011-05-02 Thread Andrea Scarpino
Date: Monday, May 2, 2011 @ 13:31:08
  Author: andrea
Revision: 122181

fix change dir command

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2011-05-02 17:30:24 UTC (rev 122180)
+++ PKGBUILD2011-05-02 17:31:08 UTC (rev 122181)
@@ -19,7 +19,7 @@
   cd ${srcdir}
   cp -r PyQt-x11-gpl-${pkgver} Py2Qt-x11-gpl-${pkgver}
 
-  cd PyQt-x11-gpl-${pkgver}
+  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
   python configure.py \
 --confirm-license \
 --qsci-api
@@ -30,7 +30,7 @@
   make
 
   ### Python2 version ###
-  cd Py2Qt-x11-gpl-${pkgver}
+  cd ${srcdir}/Py2Qt-x11-gpl-${pkgver}
   python2 configure.py \
 --confirm-license \
 -v /usr/share/sip \



[arch-commits] Commit in (pyqt/trunk/PKGBUILD python2-qt/trunk/PKGBUILD)

2011-01-19 Thread Andrea Scarpino
Date: Wednesday, January 19, 2011 @ 13:32:02
  Author: andrea
Revision: 106933

fix dependencies for the next update

Modified:
  pyqt/trunk/PKGBUILD
  python2-qt/trunk/PKGBUILD

---+
 pyqt/trunk/PKGBUILD   |4 ++--
 python2-qt/trunk/PKGBUILD |2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

Modified: pyqt/trunk/PKGBUILD
===
--- pyqt/trunk/PKGBUILD 2011-01-19 18:29:56 UTC (rev 106932)
+++ pyqt/trunk/PKGBUILD 2011-01-19 18:32:02 UTC (rev 106933)
@@ -31,7 +31,7 @@
 }
 
 package_pyqt(){
-  depends=()
+  depends=('qt')
   pkgdesc=Python bindings common files
 
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}
@@ -45,7 +45,7 @@
 
 package_python-qt(){
   pkgdesc=A set of Python 3 bindings for the Qt toolkit
-  depends=('pyqt' 'python-sip' 'qt')
+  depends=('pyqt' 'python-sip')
   optdepends=('phonon: enable audio and video in PyQt applications'
'qscintilla: QScintilla API'
'qt-assistant-compat: add PyQt online help in Qt Assistant')

Modified: python2-qt/trunk/PKGBUILD
===
--- python2-qt/trunk/PKGBUILD   2011-01-19 18:29:56 UTC (rev 106932)
+++ python2-qt/trunk/PKGBUILD   2011-01-19 18:32:02 UTC (rev 106933)
@@ -10,7 +10,7 @@
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
-depends=('pyqt' 'python2-sip' 'qt' 'dbus-python')
+depends=('pyqt' 'python2-sip' 'dbus-python')
 makedepends=('phonon' 'python-opengl' 'qt-assistant-compat')
 optdepends=('phonon: enable audio and video in PyQt applications'
'python-opengl: enable OpenGL 3D graphics in PyQt applications'



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2011-01-18 Thread Andrea Scarpino
Date: Tuesday, January 18, 2011 @ 17:51:08
  Author: andrea
Revision: 106743

add files to pyqt package

Modified:
  pyqt/trunk/PKGBUILD   (contents, properties)

--+
 PKGBUILD |8 +++-
 1 file changed, 7 insertions(+), 1 deletion(-)

Modified: PKGBUILD
===
--- PKGBUILD2011-01-18 22:09:34 UTC (rev 106742)
+++ PKGBUILD2011-01-18 22:51:08 UTC (rev 106743)
@@ -31,10 +31,16 @@
 }
 
 package_pyqt(){
-  depends=
+  depends=()
   pkgdesc=Python bindings common files
 
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}
+  install -Dm755 pylupdate/pylupdate4 ${pkgdir}/usr/bin/pylupdate4
+  install -Dm755 pyrcc/pyrcc4 ${pkgdir}/usr/bin/pyrcc4
+  install -Dm755 pyuic/pyuic4 ${pkgdir}/usr/bin/pyuic4
+  install -Dm755 designer/libpythonplugin.so \
+${pkgdir}/usr/lib/qt/plugins/designer/libpythonplugin.so
+  install -Dm644 PyQt4.api ${pkgdir}/usr/share/qt/qsci/api/python/PyQt4.api
 }
 
 package_python-qt(){


Property changes on: pyqt/trunk/PKGBUILD
___
Added: svn:keywords
   + Id



[arch-commits] Commit in pyqt/trunk (PKGBUILD fix-stackedwidget-bug.patch)

2010-12-27 Thread Andrea Scarpino
Date: Monday, December 27, 2010 @ 17:06:25
  Author: andrea
Revision: 104068

upgpkg: pyqt 4.8.2-2
Fix QStackedWidget bug (FS#22230)

Added:
  pyqt/trunk/fix-stackedwidget-bug.patch
Modified:
  pyqt/trunk/PKGBUILD

-+
 PKGBUILD|   11 ---
 fix-stackedwidget-bug.patch |   11 +++
 2 files changed, 19 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-12-27 17:22:33 UTC (rev 104067)
+++ PKGBUILD2010-12-27 22:06:25 UTC (rev 104068)
@@ -5,7 +5,7 @@
 
 pkgname=pyqt
 pkgver=4.8.2
-pkgrel=1
+pkgrel=2
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
@@ -19,12 +19,17 @@
 provides=('pyqt4')
 replaces=('pyqt4')
 conflicts=('pyqt4')
-source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('142a32f126f205a2bd77f6a9910f5333')
+source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;
+'fix-stackedwidget-bug.patch')
+md5sums=('142a32f126f205a2bd77f6a9910f5333'
+'42cfd44a8ec063cce3e328ddb9892565')
 
 build() {
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}
 
+  # Already fixed upstream
+  patch -Np1 -i ${srcdir}/fix-stackedwidget-bug.patch
+
   python2 configure.py \
 --confirm-license \
 -v /usr/share/sip \

Added: fix-stackedwidget-bug.patch
===
--- fix-stackedwidget-bug.patch (rev 0)
+++ fix-stackedwidget-bug.patch 2010-12-27 22:06:25 UTC (rev 104068)
@@ -0,0 +1,11 @@
+--- PyQt-x11-gpl-4.8.2/pyuic/uic/uiparser.py~  2010-12-27 14:01:31.500057960 
-0800
 PyQt-x11-gpl-4.8.2/pyuic/uic/uiparser.py   2010-12-27 14:01:44.460058033 
-0800
+@@ -158,7 +158,7 @@
+ # Ignore the parent if it is a container.
+ parent = self.stack.topwidget
+ if isinstance(parent, (QtGui.QDockWidget, QtGui.QMdiArea,
+-   QtGui.QScrollArea, QtGui.StackedWidget,
++   QtGui.QScrollArea, QtGui.QStackedWidget,
+QtGui.QToolBox, QtGui.QTabWidget,
+QtGui.QWizard)):
+ parent = None



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2010-12-24 Thread Andrea Scarpino
Date: Friday, December 24, 2010 @ 08:51:22
  Author: andrea
Revision: 103958

upgpkg: pyqt 4.8.2-1
upstream release

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-12-24 13:47:47 UTC (rev 103957)
+++ PKGBUILD2010-12-24 13:51:22 UTC (rev 103958)
@@ -4,7 +4,7 @@
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgname=pyqt
-pkgver=4.8.1
+pkgver=4.8.2
 pkgrel=1
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2010-12-24 Thread Andrea Scarpino
Date: Friday, December 24, 2010 @ 08:51:50
  Author: andrea
Revision: 103959

fix md5sum

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-12-24 13:51:22 UTC (rev 103958)
+++ PKGBUILD2010-12-24 13:51:50 UTC (rev 103959)
@@ -20,7 +20,7 @@
 replaces=('pyqt4')
 conflicts=('pyqt4')
 
source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('1cac8f5d715c414f9cb2751b0e84cc07')
+md5sums=('142a32f126f205a2bd77f6a9910f5333')
 
 build() {
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2010-11-01 Thread Andrea Scarpino
Date: Monday, November 1, 2010 @ 09:35:29
  Author: andrea
Revision: 97705

upgpkg: pyqt 4.8.1-1
upstream release

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |   11 +--
 1 file changed, 5 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-11-01 13:02:25 UTC (rev 97704)
+++ PKGBUILD2010-11-01 13:35:29 UTC (rev 97705)
@@ -4,8 +4,7 @@
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgname=pyqt
-pkgver=4.8.0
-_pkgver=4.8
+pkgver=4.8.1
 pkgrel=1
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')
@@ -20,11 +19,11 @@
 provides=('pyqt4')
 replaces=('pyqt4')
 conflicts=('pyqt4')
-source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${_pkgver}.tar.gz;)
-md5sums=('003d195498eb42ca2daf7615fa01488d')
+source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
+md5sums=('1cac8f5d715c414f9cb2751b0e84cc07')
 
 build() {
-  cd ${srcdir}/PyQt-x11-gpl-${_pkgver}
+  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
 
   python2 configure.py \
 --confirm-license \
@@ -38,7 +37,7 @@
 }
 
 package(){
-  cd ${srcdir}/PyQt-x11-gpl-${_pkgver}
+  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
   make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
 }



[arch-commits] Commit in (pyqt/trunk/PKGBUILD sip/trunk/PKGBUILD)

2010-10-29 Thread Andrea Scarpino
Date: Friday, October 29, 2010 @ 08:17:52
  Author: andrea
Revision: 97326

undo

Modified:
  pyqt/trunk/PKGBUILD
  sip/trunk/PKGBUILD

-+
 pyqt/trunk/PKGBUILD |7 +--
 sip/trunk/PKGBUILD  |6 +++---
 2 files changed, 8 insertions(+), 5 deletions(-)

Modified: pyqt/trunk/PKGBUILD
===
--- pyqt/trunk/PKGBUILD 2010-10-29 12:17:04 UTC (rev 97325)
+++ pyqt/trunk/PKGBUILD 2010-10-29 12:17:52 UTC (rev 97326)
@@ -6,7 +6,7 @@
 pkgname=pyqt
 pkgver=4.8.0
 _pkgver=4.8
-pkgrel=2
+pkgrel=1
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
@@ -17,13 +17,16 @@
'python-opengl: enable OpenGL 3D graphics in PyQt applications'
'qscintilla: QScintilla API'
'qt-assistant-compat: add PyQt online help in Qt Assistant')
+provides=('pyqt4')
+replaces=('pyqt4')
+conflicts=('pyqt4')
 
source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${_pkgver}.tar.gz;)
 md5sums=('003d195498eb42ca2daf7615fa01488d')
 
 build() {
   cd ${srcdir}/PyQt-x11-gpl-${_pkgver}
 
-  python configure.py \
+  python2 configure.py \
 --confirm-license \
 -v /usr/share/sip \
 --qsci-api

Modified: sip/trunk/PKGBUILD
===
--- sip/trunk/PKGBUILD  2010-10-29 12:17:04 UTC (rev 97325)
+++ sip/trunk/PKGBUILD  2010-10-29 12:17:52 UTC (rev 97326)
@@ -5,19 +5,19 @@
 
 pkgname=sip
 pkgver=4.11.2
-pkgrel=2
+pkgrel=1
 pkgdesc=A tool that makes it easy to create Python bindings for C and C++ 
libraries
 arch=('i686' 'x86_64')
 url=http://www.riverbankcomputing.com/software/sip/;
 license=('custom:sip')
-depends=('python' 'gcc-libs')
+depends=('python2' 'gcc-libs')
 
source=(http://www.riverbankcomputing.com/static/Downloads/sip4/${pkgname}-${pkgver}.tar.gz;)
 md5sums=('d799804ca0a88bd76c6c2cdf8935c3cb')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
 
-  python configure.py
+  python2 configure.py
   make
 }
 



[arch-commits] Commit in pyqt/trunk (PKGBUILD fix-kdebindings-4.5.2.patch)

2010-10-23 Thread Andrea Scarpino
Date: Saturday, October 23, 2010 @ 06:41:02
  Author: andrea
Revision: 96651

upgpkg: pyqt 4.8.0-1
upstream release

Modified:
  pyqt/trunk/PKGBUILD
Deleted:
  pyqt/trunk/fix-kdebindings-4.5.2.patch

-+
 PKGBUILD|   17 +++--
 fix-kdebindings-4.5.2.patch |   17 -
 2 files changed, 7 insertions(+), 27 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-10-23 10:40:25 UTC (rev 96650)
+++ PKGBUILD2010-10-23 10:41:02 UTC (rev 96651)
@@ -4,8 +4,9 @@
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgname=pyqt
-pkgver=4.7.7
-pkgrel=2
+pkgver=4.8.0
+_pkgver=4.8
+pkgrel=1
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
@@ -19,16 +20,12 @@
 provides=('pyqt4')
 replaces=('pyqt4')
 conflicts=('pyqt4')
-source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;
-   'fix-kdebindings-4.5.2.patch')
-md5sums=('b7b30ab25ee976407b37052f2f724bce'
-   '8484f787214d55d23bc3b790fc80b450')
+source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${_pkgver}.tar.gz;)
+md5sums=('003d195498eb42ca2daf7615fa01488d')
 
 build() {
-  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
+  cd ${srcdir}/PyQt-x11-gpl-${_pkgver}
 
-  patch -Np0 -i ${srcdir}/fix-kdebindings-4.5.2.patch
-  
   python2 configure.py \
 --confirm-license \
 -v /usr/share/sip \
@@ -41,7 +38,7 @@
 }
 
 package(){
-  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
+  cd ${srcdir}/PyQt-x11-gpl-${_pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
   make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
 }

Deleted: fix-kdebindings-4.5.2.patch
===
--- fix-kdebindings-4.5.2.patch 2010-10-23 10:40:25 UTC (rev 96650)
+++ fix-kdebindings-4.5.2.patch 2010-10-23 10:41:02 UTC (rev 96651)
@@ -1,17 +0,0 @@
 sip/QtCore/qglobal.sip~2010-09-20 15:10:28.0 +0200
-+++ sip/QtCore/qglobal.sip 2010-09-30 15:00:13.804577344 +0200
-@@ -312,12 +312,12 @@ public:
- // Qt.Alignment class.
- QFlags operator|(int f);
- %MethodCode
--sipRes = new QFlags(*a0 | (ENUM(a1)));
-+sipRes = new QFlags(*a0 | a1);
- %End
- 
- QFlags operator^(int f);
- %MethodCode
--sipRes = new QFlags(*a0 ^ (ENUM(a1)));
-+sipRes = new QFlags(*a0 ^ a1);
- %End
- 
- // These are necessary to prevent Python comparing object IDs.



[arch-commits] Commit in pyqt/trunk (PKGBUILD fix-kdebindings-4.5.2.patch)

2010-10-06 Thread Andrea Scarpino
Date: Wednesday, October 6, 2010 @ 16:45:18
  Author: andrea
Revision: 94353

upgpkg: pyqt 4.7.7-1
upstream release + fix to build kdebindings

Added:
  pyqt/trunk/fix-kdebindings-4.5.2.patch
Modified:
  pyqt/trunk/PKGBUILD

-+
 PKGBUILD|   19 +--
 fix-kdebindings-4.5.2.patch |   17 +
 2 files changed, 30 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-10-06 20:41:43 UTC (rev 94352)
+++ PKGBUILD2010-10-06 20:45:18 UTC (rev 94353)
@@ -4,23 +4,30 @@
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgname=pyqt
-pkgver=4.7.4
-pkgrel=3
+pkgver=4.7.7
+pkgrel=1
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
 depends=('sip' 'qt' 'dbus-python')
-makedepends=('phonon' 'python-opengl')
-optdepends=('phonon' 'python-opengl' 'qscintilla')
+makedepends=('phonon' 'python-opengl' 'qt-assistant-compat')
+optdepends=('phonon: enable audio and video in PyQt applications'
+   'python-opengl: enable OpenGL 3D graphics in PyQt applications'
+   'qscintilla: QScintilla API'
+   'qt-assistant-compat: add PyQt online help in Qt Assistant')
 provides=('pyqt4')
 replaces=('pyqt4')
 conflicts=('pyqt4')
-source=(http://pyqwt.sourceforge.net/support/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('88e9f1bc467cccf424d2032e3470982c')
+source=(http://riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;
+   'fix-kdebindings-4.5.2.patch')
+md5sums=('b7b30ab25ee976407b37052f2f724bce'
+   '8484f787214d55d23bc3b790fc80b450')
 
 build() {
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}
+
+  patch -Np0 -i ${srcdir}/fix-kdebindings-4.5.2.patch
   
   python2 configure.py \
 --confirm-license \

Added: fix-kdebindings-4.5.2.patch
===
--- fix-kdebindings-4.5.2.patch (rev 0)
+++ fix-kdebindings-4.5.2.patch 2010-10-06 20:45:18 UTC (rev 94353)
@@ -0,0 +1,17 @@
+--- sip/QtCore/qglobal.sip~2010-09-20 15:10:28.0 +0200
 sip/QtCore/qglobal.sip 2010-09-30 15:00:13.804577344 +0200
+@@ -312,12 +312,12 @@ public:
+ // Qt.Alignment class.
+ QFlags operator|(int f);
+ %MethodCode
+-sipRes = new QFlags(*a0 | (ENUM(a1)));
++sipRes = new QFlags(*a0 | a1);
+ %End
+ 
+ QFlags operator^(int f);
+ %MethodCode
+-sipRes = new QFlags(*a0 ^ (ENUM(a1)));
++sipRes = new QFlags(*a0 ^ a1);
+ %End
+ 
+ // These are necessary to prevent Python comparing object IDs.



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2010-10-06 Thread Andrea Scarpino
Date: Wednesday, October 6, 2010 @ 16:58:29
  Author: andrea
Revision: 94368

python 2.7 rebuild

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-10-06 20:55:49 UTC (rev 94367)
+++ PKGBUILD2010-10-06 20:58:29 UTC (rev 94368)
@@ -5,7 +5,7 @@
 
 pkgname=pyqt
 pkgver=4.7.7
-pkgrel=1
+pkgrel=2
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2010-09-04 Thread Rémy Oudompheng
Date: Saturday, September 4, 2010 @ 03:25:27
  Author: remy
Revision: 89817

upgpkg: pyqt 4.7.4-3
Revert to 4.7.4, rebuild for sip.

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |8 
 1 file changed, 4 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-09-04 07:25:09 UTC (rev 89816)
+++ PKGBUILD2010-09-04 07:25:27 UTC (rev 89817)
@@ -4,8 +4,8 @@
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgname=pyqt
-pkgver=4.7.5
-pkgrel=1
+pkgver=4.7.4
+pkgrel=3
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
@@ -16,8 +16,8 @@
 provides=('pyqt4')
 replaces=('pyqt4')
 conflicts=('pyqt4')
-source=(http://riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('028e34715cd663a1a846a216fbd6d5d3')
+source=(http://pyqwt.sourceforge.net/support/PyQt-x11-gpl-${pkgver}.tar.gz;)
+md5sums=('88e9f1bc467cccf424d2032e3470982c')
 
 build() {
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2010-09-03 Thread Rémy Oudompheng
Date: Friday, September 3, 2010 @ 13:37:25
  Author: remy
Revision: 89760

upgpkg: pyqt 4.7.5-1
Upstream update (old sources not available). Rebuild for python2.

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |8 
 1 file changed, 4 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-09-03 17:17:27 UTC (rev 89759)
+++ PKGBUILD2010-09-03 17:37:25 UTC (rev 89760)
@@ -4,8 +4,8 @@
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgname=pyqt
-pkgver=4.7.4
-pkgrel=2
+pkgver=4.7.5
+pkgrel=1
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
@@ -17,12 +17,12 @@
 replaces=('pyqt4')
 conflicts=('pyqt4')
 
source=(http://riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
-md5sums=('88e9f1bc467cccf424d2032e3470982c')
+md5sums=('028e34715cd663a1a846a216fbd6d5d3')
 
 build() {
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}
   
-  python configure.py \
+  python2 configure.py \
 --confirm-license \
 -v /usr/share/sip \
 --qsci-api



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2010-07-14 Thread Andrea Scarpino
Date: Wednesday, July 14, 2010 @ 06:50:41
  Author: andrea
Revision: 85477

upgpkg: pyqt 4.7.4-2
cleanup dependencies; add missing qscintilla api

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |   16 
 1 file changed, 8 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-07-14 10:44:08 UTC (rev 85476)
+++ PKGBUILD2010-07-14 10:50:41 UTC (rev 85477)
@@ -5,14 +5,14 @@
 
 pkgname=pyqt
 pkgver=4.7.4
-pkgrel=1
+pkgrel=2
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
 license=('GPL')
-depends=('sip' 'qscintilla' 'dbus-python' 'openssl')
+depends=('sip' 'qt' 'dbus-python')
 makedepends=('phonon' 'python-opengl')
-optdepends=('phonon' 'python-opengl')
+optdepends=('phonon' 'python-opengl' 'qscintilla')
 provides=('pyqt4')
 replaces=('pyqt4')
 conflicts=('pyqt4')
@@ -22,10 +22,10 @@
 build() {
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}
   
-  python configure.py --confirm-license \
--b /usr/bin \
--d /usr/lib/python2.6/site-packages \
--v /usr/share/sip
+  python configure.py \
+--confirm-license \
+-v /usr/share/sip \
+--qsci-api
 
   # Thanks Gerardo for the rpath fix
   find -name 'Makefile' | xargs sed -i 
's|-Wl,-rpath,/usr/lib||g;s|-Wl,-rpath,.* ||g'
@@ -36,5 +36,5 @@
 package(){
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
-  make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
+  make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
 }



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2010-07-13 Thread Andrea Scarpino
Date: Tuesday, July 13, 2010 @ 09:18:32
  Author: andrea
Revision: 85434

upgpkg: pyqt 4.7.4-1
upstream release

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |   17 -
 1 file changed, 8 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-07-13 12:43:47 UTC (rev 85433)
+++ PKGBUILD2010-07-13 13:18:32 UTC (rev 85434)
@@ -4,8 +4,7 @@
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgname=pyqt
-pkgver=4.7.3
-_pkgver=4.7.3
+pkgver=4.7.4
 pkgrel=1
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')
@@ -17,25 +16,25 @@
 provides=('pyqt4')
 replaces=('pyqt4')
 conflicts=('pyqt4')
-source=(http://riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-${_pkgver}.tar.gz;)
-md5sums=('42fdda73f07810abba002af8a939ee50')
+source=(http://riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz;)
+md5sums=('88e9f1bc467cccf424d2032e3470982c')
 
 build() {
-  cd ${srcdir}/PyQt-x11-gpl-${_pkgver}
+  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
   
   python configure.py --confirm-license \
 -b /usr/bin \
 -d /usr/lib/python2.6/site-packages \
--v /usr/share/sip || return 1
+-v /usr/share/sip
 
   # Thanks Gerardo for the rpath fix
   find -name 'Makefile' | xargs sed -i 
's|-Wl,-rpath,/usr/lib||g;s|-Wl,-rpath,.* ||g'
 
-  make || return 1
+  make
 }
 
 package(){
-  cd ${srcdir}/PyQt-x11-gpl-${_pkgver}
+  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
-  make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install || return 1
+  make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
 }



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2010-04-30 Thread Andrea Scarpino
Date: Friday, April 30, 2010 @ 06:17:58
  Author: andrea
Revision: 79125

upgpkg: pyqt 4.7.3-1
upstream release

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-04-30 10:17:34 UTC (rev 79124)
+++ PKGBUILD2010-04-30 10:17:58 UTC (rev 79125)
@@ -4,8 +4,8 @@
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgname=pyqt
-pkgver=4.7.2
-_pkgver=4.7.2
+pkgver=4.7.3
+_pkgver=4.7.3
 pkgrel=1
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')
@@ -18,7 +18,7 @@
 replaces=('pyqt4')
 conflicts=('pyqt4')
 
source=(http://riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-${_pkgver}.tar.gz;)
-md5sums=('e7782e9146ec8aa0e76bcdb0ca5b9491')
+md5sums=('42fdda73f07810abba002af8a939ee50')
 
 build() {
   cd ${srcdir}/PyQt-x11-gpl-${_pkgver}



[arch-commits] Commit in pyqt/trunk (PKGBUILD fix-phonon-detection.patch)

2010-03-21 Thread Andrea Scarpino
Date: Sunday, March 21, 2010 @ 17:41:35
  Author: andrea
Revision: 73036

upgpkg: pyqt 4.7.2-1
upstream release

Modified:
  pyqt/trunk/PKGBUILD
Deleted:
  pyqt/trunk/fix-phonon-detection.patch

+
 PKGBUILD   |   15 +--
 fix-phonon-detection.patch |   11 ---
 2 files changed, 5 insertions(+), 21 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-03-21 21:41:31 UTC (rev 73035)
+++ PKGBUILD2010-03-21 21:41:35 UTC (rev 73036)
@@ -4,9 +4,9 @@
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgname=pyqt
-pkgver=4.7.0
-_pkgver=4.7
-pkgrel=3
+pkgver=4.7.2
+_pkgver=4.7.2
+pkgrel=1
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
@@ -17,17 +17,12 @@
 provides=('pyqt4')
 replaces=('pyqt4')
 conflicts=('pyqt4')
-source=(http://riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-${_pkgver}.tar.gz;
-   'fix-phonon-detection.patch')
-md5sums=('4882179ab4da128aaa8520f146afb955'
- '364e2c96c6b2b1d98167b2c8b110d64c')
+source=(http://riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-${_pkgver}.tar.gz;)
+md5sums=('e7782e9146ec8aa0e76bcdb0ca5b9491')
 
 build() {
   cd ${srcdir}/PyQt-x11-gpl-${_pkgver}
   
-  # already fixed upstream
-  patch -Np1 -i ${srcdir}/fix-phonon-detection.patch || return 1
-
   python configure.py --confirm-license \
 -b /usr/bin \
 -d /usr/lib/python2.6/site-packages \

Deleted: fix-phonon-detection.patch
===
--- fix-phonon-detection.patch  2010-03-21 21:41:31 UTC (rev 73035)
+++ fix-phonon-detection.patch  2010-03-21 21:41:35 UTC (rev 73036)
@@ -1,11 +0,0 @@
 PyQt-x11-gpl-4.7/configure.py~ 2010-03-04 04:54:35.0 +0100
-+++ PyQt-x11-gpl-4.7/configure.py  2010-03-04 04:56:46.0 +0100
-@@ -362,7 +364,7 @@
- check_module(QtWebKit, qwebpage.h, new QWebPage())
- check_module(QtXml, qdom.h, new QDomDocument())
- check_module(QtXmlPatterns, qxmlname.h, new QXmlName())
--check_module(phonon, Phonon/VideoWidget,
-+check_module(phonon, phonon/videowidget.h,
- new Phonon::VideoWidget())
- check_module(QtAssistant, qassistantclient.h,
- new QAssistantClient(\foo\), extra_lib_dirs=ass_lib_dirs,
\ No newline at end of file



[arch-commits] Commit in pyqt/trunk (PKGBUILD fix-phonon-detection.patch)

2010-03-04 Thread Andrea Scarpino
Date: Thursday, March 4, 2010 @ 07:40:01
  Author: andrea
Revision: 71110

upgpkg: pyqt 4.7.0-3
added Phonon and QtOpenGL modules (FS#18305)

Added:
  pyqt/trunk/fix-phonon-detection.patch
Modified:
  pyqt/trunk/PKGBUILD

+
 PKGBUILD   |   19 ++-
 fix-phonon-detection.patch |   11 +++
 2 files changed, 25 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-03-04 02:26:34 UTC (rev 71109)
+++ PKGBUILD2010-03-04 12:40:01 UTC (rev 71110)
@@ -6,22 +6,28 @@
 pkgname=pyqt
 pkgver=4.7.0
 _pkgver=4.7
-pkgrel=2
+pkgrel=3
 pkgdesc=A set of Python bindings for the Qt toolkit
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
-depends=('sip=4.10' 'qscintilla=2.4.1' 'dbus-python' 'openssl')
 license=('GPL')
+depends=('sip' 'qscintilla' 'dbus-python' 'openssl')
+makedepends=('phonon' 'python-opengl')
+optdepends=('phonon' 'python-opengl')
 provides=('pyqt4')
 replaces=('pyqt4')
 conflicts=('pyqt4')
-source=(http://riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-${_pkgver}.tar.gz)
-md5sums=('4882179ab4da128aaa8520f146afb955')
-options=('force')
+source=(http://riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-${_pkgver}.tar.gz;
+   'fix-phonon-detection.patch')
+md5sums=('4882179ab4da128aaa8520f146afb955'
+ '364e2c96c6b2b1d98167b2c8b110d64c')
 
 build() {
   cd ${srcdir}/PyQt-x11-gpl-${_pkgver}
   
+  # already fixed upstream
+  patch -Np1 -i ${srcdir}/fix-phonon-detection.patch || return 1
+
   python configure.py --confirm-license \
 -b /usr/bin \
 -d /usr/lib/python2.6/site-packages \
@@ -31,7 +37,10 @@
   find -name 'Makefile' | xargs sed -i 
's|-Wl,-rpath,/usr/lib||g;s|-Wl,-rpath,.* ||g'
 
   make || return 1
+}
 
+package(){
+  cd ${srcdir}/PyQt-x11-gpl-${_pkgver}
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use 
DESTDIR
   make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install || return 1
 }

Added: fix-phonon-detection.patch
===
--- fix-phonon-detection.patch  (rev 0)
+++ fix-phonon-detection.patch  2010-03-04 12:40:01 UTC (rev 71110)
@@ -0,0 +1,11 @@
+--- PyQt-x11-gpl-4.7/configure.py~ 2010-03-04 04:54:35.0 +0100
 PyQt-x11-gpl-4.7/configure.py  2010-03-04 04:56:46.0 +0100
+@@ -362,7 +364,7 @@
+ check_module(QtWebKit, qwebpage.h, new QWebPage())
+ check_module(QtXml, qdom.h, new QDomDocument())
+ check_module(QtXmlPatterns, qxmlname.h, new QXmlName())
+-check_module(phonon, Phonon/VideoWidget,
++check_module(phonon, phonon/videowidget.h,
+ new Phonon::VideoWidget())
+ check_module(QtAssistant, qassistantclient.h,
+ new QAssistantClient(\foo\), extra_lib_dirs=ass_lib_dirs,
\ No newline at end of file



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2010-01-17 Thread Andrea Scarpino
Date: Sunday, January 17, 2010 @ 07:11:19
  Author: andrea
Revision: 63362

libpng rebuild

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |8 
 1 file changed, 4 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2010-01-17 12:07:07 UTC (rev 63361)
+++ PKGBUILD2010-01-17 12:11:19 UTC (rev 63362)
@@ -1,15 +1,15 @@
 # $Id$
-# Maintainer: Douglas Soares de Andrade doug...@archlinux.org
-# Contributor: Andrea Scarpino and...@archlinux.org
+# Maintainer: Andrea Scarpino and...@archlinux.org
+# Contributor: Douglas Soares de Andrade doug...@archlinux.org
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgname=pyqt
 pkgver=4.6.2
-pkgrel=1
+pkgrel=2
 pkgdesc=A set of Python bindings for the Qt toolkit.
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
-depends=('sip=4.9.3' 'qscintilla=2.4.0' 'qt=4.5.3' 'dbus-python' 'openssl')
+depends=('sip=4.9.3' 'qscintilla=2.4.0-2' 'qt=4.5.3' 'dbus-python' 
'openssl')
 license=('GPL')
 provides=('pyqt4')
 replaces=('pyqt4')



[arch-commits] Commit in pyqt/trunk (PKGBUILD)

2009-12-02 Thread Andrea Scarpino
Date: Wednesday, December 2, 2009 @ 03:44:50
  Author: andrea
Revision: 60207

upgpkg: pyqt 4.6.2-1
upstrem release

Modified:
  pyqt/trunk/PKGBUILD

--+
 PKGBUILD |6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2009-12-02 02:02:48 UTC (rev 60206)
+++ PKGBUILD2009-12-02 08:44:50 UTC (rev 60207)
@@ -4,18 +4,18 @@
 # Contributor: riai r...@bigfoot.com Ben b...@benmazer.net
 
 pkgname=pyqt
-pkgver=4.6.1
+pkgver=4.6.2
 pkgrel=1
 pkgdesc=A set of Python bindings for the Qt toolkit.
 arch=('i686' 'x86_64')
 url=http://riverbankcomputing.co.uk/software/pyqt/intro;
-depends=('sip=4.9.1' 'qscintilla=2.4.0' 'qt=4.5.3' 'dbus-python' 'openssl')
+depends=('sip=4.9.3' 'qscintilla=2.4.0' 'qt=4.5.3' 'dbus-python' 'openssl')
 license=('GPL')
 provides=('pyqt4')
 replaces=('pyqt4')
 conflicts=('pyqt4')
 
source=(http://riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz)
-md5sums=('4e5b75486d2934a7fa5215b056e28761')
+md5sums=('b7aba1b0e41d674b0ebcb64844f442f7')
 
 build() {
   cd ${srcdir}/PyQt-x11-gpl-${pkgver}